#!/bin/tcsh

# batch_catalogs.tcsh:
#
# Generate input catalog for Canterbury special study
#

source /data1/csep/CanterburyStudy/init.tcshrc

set year=`date '+%Y'`
# Don't pad integer values with zero's
set month=`date '+%_m'`
set day=`date '+%_d'`

# Pad time values with zero's
set hour=`date '+%H'`
set min=`date '+%M'`
set sec=`date '+%S'`

# Capture all output produced by Dispatcher into the daily log file
set logfile=/data1/csep/CanterburyStudy/batchProcessing/logs/catalog_batch_post2007_"$year-$month-$day-$hour$min$sec"


# Invoke BatchProcessing for "today":
nohup python $CENTERCODE/src/generic/BatchProcessing.py --configFile=/data1/csep/CanterburyStudy/batchProcessing/configuration/input_catalog_batch_post2007.init.xml --logFile="$logfile" >& "$logfile" &


